# Get account interest Get account interest details. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Banking - Interest engine", "version": "1.0.0", "description": "API to handle interest-bearing account operations", "termsOfService": "https://developers.pismo.io/terms/", "contact": { "name": "API Support", "url": "https://developers.pismolabs.io/pismo-docs/docs/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/interest-engine", "description": "Sandbox API server for testing" }, { "url": "https://sandbox.pismolabs.io/passport/v2/s2s/access-token", "description": "Sandbox API for oauth2" } ], "tags": [ { "name": "Account interest", "description": "Manage account interest" } ], "components": { "parameters": { "AccountId": { "name": "accountId", "in": "path", "description": "Account ID", "required": true, "example": "8080", "schema": { "type": "string" } }, "Authorization": { "name": "authorization", "in": "header", "description": "Authorization", "required": true, "example": "Bearer YOUR_BEARER_TOKEN", "schema": { "type": "string" } } }, "schemas": { "Benchmark": { "type": "string", "description": "Market index used to measure interest value over time. For fixed interest, this field must be null.\n - `BOE`: Bank of England, UK\n - `DI`: Interbank Deposit Contract, Brazil\n - `FED`: Federal Reserve System, USA\n - `RBA`: Reserve Bank of Australia\n - `RBI`: Reserve Bank of India\n - `TO`: Overnight Interbank Target Rate (Tasa Objetivo), Mexico\n", "enum": [ "BOE", "DI", "FED", "RBA", "RBI", "TO" ], "example": "FED" }, "FixedInterestRate": { "type": "number", "format": "float", "description": "Fixed annual interest rate for investments or deposits. If a `benchmark` value is provided, this field must be null.", "example": 0.1 }, "GetInterestAccountResponse": { "title": "Get interest account response", "type": "object", "properties": { "benchmark": { "$ref": "#/components/schemas/Benchmark" }, "fixed_interest_rate": { "$ref": "#/components/schemas/FixedInterestRate" }, "margin_rate": { "$ref": "#/components/schemas/MarginRate" }, "margin": { "$ref": "#/components/schemas/Margin" } } }, "Margin": { "type": "number", "format": "double", "description": "Also known as a spread, this is an incremental rate the clients receive on investments or deposits. \nIf a `benchmark` value is provided, this field is optional.\nIf `benchmark` is null, this field must be null also.\n", "example": 0.02 }, "MarginRate": { "type": "number", "format": "double", "description": "Rate linked to the benchmark rate. For example, for 110% FED, margin rate is 110%. If a `benchmark` value is not provided, this field must be null.", "example": 1.1 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad request" }, "401Unauthorized": { "description": "Unauthorized" }, "404NotFound": { "description": "Not found" }, "500InternalServerError": { "description": "Internal server error" } } }, "security": [ { "BearerAuth": [] } ], "paths": { "/v1/interest/account/{accountId}": { "get": { "summary": "Get account interest", "description": "Get account interest details.", "tags": [ "Account interest" ], "operationId": "get-v1-interest-account", "parameters": [ { "$ref": "#/components/parameters/AccountId" }, { "$ref": "#/components/parameters/Authorization" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetInterestAccountResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```